> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Block Transactions

> Get all transactions from in a block.



## OpenAPI

````yaml /reference/api-json.json get /transactions/block
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /transactions/block:
    get:
      tags:
        - Transaction
      summary: Get Block Transactions
      description: Get all transactions from in a block.
      operationId: TransactionsBlock
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10200
              - 1088
              - 1101
              - 11155111
              - 11155420
              - 11297108109
              - 1284
              - 1285
              - 1329
              - 137
              - 1666600000
              - 167000
              - 167009
              - 2020
              - 2442
              - 248
              - 25
              - 250
              - 288
              - 300
              - 324
              - 4002
              - 42161
              - 421614
              - 42170
              - 42220
              - 43113
              - 43114
              - 5000
              - 534351
              - 534352
              - 56
              - 59141
              - 59144
              - 7000
              - 7001
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 9001
              - 97
              - solana
              - solana-devnet
            type: string
        - name: blockHeight
          required: true
          in: query
          description: The height of the block to query.
          schema:
            default: '14309238'
            example: '14309238'
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - GoldRush
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletTransactionsResponse'
components:
  schemas:
    WalletTransactionsResponse:
      type: object
      properties:
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - cursor
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````